import {OrthographicCamera, PerspectiveCamera} from "three";
import {EntityComponentDataset} from "../../../src/engine/ecs/EntityComponentDataset";
import {EntityNode} from "../../../src/engine/ecs/parent/EntityNode";

export class TransformControls extends EntityNode {
    constructor(camera: PerspectiveCamera | OrthographicCamera, domElement: HTMLElement, autoUpdate?: boolean)

    build(ecd: EntityComponentDataset): void

    destroy(): void

    attach(entity: number): void

    detach(): void

    /**
     * Can be triggered manually if `autoUpdate` was not set in the constructor
     */
    update(): void
}
